package com.fuzamei.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.fuzamei.entity.ValuationAccount;
import com.fuzamei.mapperInterface.ValuationAccountingMapper;

@Repository
public class ValuationAccountingDao {
	
	@Autowired
	private ValuationAccountingMapper valuationAccountingMapper;

	public int findAllInformations() {
		return valuationAccountingMapper.findAllInformations();
	}

	public List<ValuationAccount> queryValuationAccountingInformation(Map<String, Object> map) {
		return valuationAccountingMapper.queryValuationAccountingInformation(map);
	}

	public void insertInformationIntoTableByAdmin(Map<String, Object> map) {
		valuationAccountingMapper.insertInformationIntoTableByAdmin(map);
	}

	public void updateInformationByBank(Map<String, Object> map) {
		valuationAccountingMapper.updateInformationByBank(map);
	}

	public void insertOperationHistoryInformationToDao(Map<String, Object> map) {
		valuationAccountingMapper.insertOperationHistoryInformationToDao(map);
	}

	public void insertInformationToAttachment(Map<String, Object> map) {
		valuationAccountingMapper.insertInformationToAttachment(map);
	}

}
